--- ekiga-2.0.12.ebuild	2008-09-25 22:04:48.000000000 -0400
+++ ekiga-3.0.0.ebuild	2008-10-09 13:27:03.000000000 -0400
@@ -1,88 +1,91 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-im/ekiga/ekiga-2.0.12.ebuild,v 1.5 2008/08/12 14:05:18 armin76 Exp $
+# $Header: $
 
-inherit gnome2 eutils flag-o-matic
+inherit eutils gnome2
 
 DESCRIPTION="H.323 and SIP VoIP softphone"
 HOMEPAGE="http://www.ekiga.org/"
 
 SLOT="0"
 LICENSE="GPL-2"
-KEYWORDS="alpha amd64 ~hppa ia64 ppc ~ppc64 sparc x86"
-IUSE="avahi dbus doc gnome sdl"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="avahi dbus debug doc eds gconf gnome ldap libnotify xv"
 
-RDEPEND="~dev-libs/pwlib-1.10.$[${PV##*.}-2]
-	~net-libs/opal-2.2.$[${PV##*.}-1]
-	>=x11-libs/gtk+-2.4.0
-	>=dev-libs/glib-2.0.0
-	sdl? ( >=media-libs/libsdl-1.2.4 )
-	dbus? ( >=dev-libs/dbus-glib-0.71 )
-	avahi? ( net-dns/avahi )
-	gnome? (
-		>=gnome-base/libbonobo-2.2.0
-		>=gnome-base/libgnomeui-2.2.0
-		>=gnome-base/libgnome-2.2.0
-		>=gnome-base/gconf-2.2.0
-		>=gnome-base/orbit-2.5.0
-		gnome-extra/evolution-data-server
-		>=media-sound/esound-0.2.28 )"
+RDEPEND=">=dev-libs/ptlib-2.4.1
+	>=net-libs/opal-3.4.1
+	>=x11-libs/gtk+-2.12.0
+	>=dev-libs/glib-2.8.0
+	>=dev-libs/libsigc++-2.0.0
+	>=dev-libs/libxml2-2.0
+	avahi? ( >=net-dns/avahi-0.6.0 )
+	dbus? ( >=dev-libs/dbus-glib-0.36 )
+	eds? ( >=gnome-extra/evolution-data-server-1.2 )
+	gconf? ( >=gnome-base/gconf-2.6.0 )
+	gnome? ( >=gnome-base/libgnome-2.14.0
+		>=gnome-base/libgnomeui-2.14.0 )
+	ldap? ( net-nds/openldap )
+	libnotify? ( x11-libs/libnotify )
+	xv? ( x11-libs/libXv )"
 
 DEPEND="${RDEPEND}
-	dev-lang/perl
+	>=sys-devel/make-3.81
 	>=dev-util/pkgconfig-0.12.0
-	>=dev-util/intltool-0.20
-	gnome? ( app-text/scrollkeeper
-		doc? ( app-text/gnome-doc-utils ) )"
+	>=dev-util/intltool-0.35
+	doc? ( app-text/scrollkeeper
+		app-text/gnome-doc-utils )"
 
-DOCS="AUTHORS ChangeLog NEWS"
+DOCS="AUTHORS ChangeLog FAQ NEWS README"
 
 pkg_setup() {
-	if ! built_with_use dev-libs/pwlib ldap; then
-		eerror "You need to build dev-libs/pwlib with USE=ldap enabled."
-		die "Pwlib w/o ldap-support detected."
+	# ekiga has to be built like opal and ptlib but as opal has to be built
+	# like ptlib, it should be possible to check only opal but as ekiga is
+	# linking to both, we are cheking both
+	if use debug && (! built_with_use dev-libs/ptlib debug ||
+		! built_with_use net-libs/opal debug); then
+		eerror "You need to build dev-libs/ptlib and net-libs/opal with\
+ USE=debug enabled."
+		die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
 	fi
 
-	if use avahi && ! built_with_use net-dns/avahi dbus; then
-		eerror "You need to build net-dns/avahi with USE=dbus enabled."
-		die "Avahi without dbus-support detected."
+	if ! use debug && (built_with_use dev-libs/ptlib debug ||
+		built_with_use net-libs/opal debug); then
+		eerror "You need to build dev-libs/ptlib and net-libs/opal without\
+ USE=debug."
+		die "dev-libs/ptlib and net-libs/opal has not to be built with USE=debug"
 	fi
 
+	# dbus-service is always enable if dbus is enable, no reason to disable it
 	G2CONF="${G2CONF}
-		$(use_enable dbus)
-		$(use_enable sdl)
 		$(use_enable avahi)
-		$(use_enable doc)
+		$(use_enable dbus)
+		$(use_enable dbus dbus_service)
+		$(use_enable debug)
+		$(use_enable doc gdu)
+		$(use_enable eds)
+		$(use_enable gconf)
 		$(use_enable gnome)
-		--disable-scrollkeeper"
+		$(use_enable ldap)
+		$(use_enable libnotify notify)
+		$(use_enable xv)"
 }
 
 src_unpack() {
 	gnome2_src_unpack
 
-	# Fix configure to install schemafile into the proper directory
-	epatch "${FILESDIR}"/${PN}-1.99.0-configure.patch
-
-	# Fix gnome-doc-utils detection
-	epatch "${FILESDIR}"/${P}-gdu.patch
-}
-
-src_install() {
-	if use gnome; then
-		gnome2_src_install
-	else
-		emake DESTDIR="${D}" install || die "make install failed"
+	# remove call to gconftool-2 --shutdown
+	sed -i -e '/gconftool-2 --shutdown/d' Makefile.in
 
-		dodoc ${DOCS}
-	fi
+	# fix ekiga-helper dbus service .in file
+	sed -i -e 's/@prefix@\/bin\/@PACKAGE_NAME@/@bindir@\/ekiga/'\
+		src/components/org.ekiga.Helper.service.in
 }
 
 pkg_postinst() {
-	if use gnome; then
-		gnome2_pkg_postinst
+	gnome2_pkg_postinst
 
-		# we need to fix the GConf permissions, see bug #59764
-		einfo "Fixing GConf permissions for ekiga"
-		ekiga-config-tool --fix-permissions
+	if ! use gnome; then
+		ewarn "USE=-gnome is experimental, some weirdness with the UI and \
+config keys should appear."
 	fi
 }